## org.apache.mahout.utils.clustering
Class ClusterDumperWriter

    java.lang.Object
      org.apache.mahout.utils.clustering.AbstractClusterWriter
          org.apache.mahout.utils.clustering.ClusterDumperWriter

All Implemented Interfaces:
  Closeable, ClusterWriter

    public class ClusterDumperWriter

extends AbstractClusterWriter

Implements a `ClusterWriter` that outputs in the format used by ClusterDumper in Mahout 0.5

Field Summary

Fields inherited from class org.apache.mahout.utils.clustering.AbstractClusterWriter
`clusterIdToPoints, measure, writer`

Constructor Summary
`ClusterDumperWriter(Writer writer, Map<Integer,List<WeightedPropertyVectorWritable>> clusterIdToPoints, DistanceMeasure measure, int numTopFeatures, String[] dictionary, int subString)`

Method Summary
`void` `write(ClusterWritable clusterWritable)` Write out a Cluster

Methods inherited from class org.apache.mahout.utils.clustering.AbstractClusterWriter
`close, getClusterIdToPoints, getTopFeatures, getTopTerms, getWriter, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterDumperWriter

    public ClusterDumperWriter(Writer writer,
                               Map<Integer,List<WeightedPropertyVectorWritable>> clusterIdToPoints,
                               DistanceMeasure measure,
                               int numTopFeatures,
                               String[] dictionary,
                               int subString)

Method Detail

### write

    public void write(ClusterWritable clusterWritable)
               throws IOException

  Description copied from interface: `ClusterWriter`
  Write out a Cluster

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.